Bug 400860 - Add «Show All Entries» toggle for Places to the Panels submenu
Summary: Add «Show All Entries» toggle for Places to the Panels submenu
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: panels: folders (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2018-11-08 20:26 UTC by Tore Havn
Modified: 2018-11-17 13:38 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 18.12.0


Attachments
Mockup of the suggested feature (424.84 KB, image/png)
2018-11-08 20:26 UTC, Tore Havn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tore Havn 2018-11-08 20:26:59 UTC
Created attachment 116186 [details]
Mockup of the suggested feature

There should be an option to toggle the «Show All Entries» in the Panels submenu in Dolphin.

This will make it more discoverable, and be easier to find and unhide items which were accidentally hidden.

Attached an image of what I'm envisioning.
Comment 1 Julian Steinmann 2018-11-08 20:53:54 UTC
That does sound like a good idea, especially for our Usability Initiative.
Comment 2 Tore Havn 2018-11-08 21:26:39 UTC
Okay, this went rather fast! :)

https://phabricator.kde.org/D16767
Comment 3 Chris Rizzitello 2018-11-17 13:38:55 UTC
Git commit c900f7d255aa8fb326cf20f598a5de1a1edbcfe9 by Chris Rizzitello.
Committed on 17/11/2018 at 13:38.
Pushed by rizzitello into branch 'Applications/18.12'.

Improve Ux for the places panel's hidden items

Summary:
FIXED-IN: 18.12.0

Clean up the context menu for the places panel.
 - Change Text "Show All Entries" -> "Show Hidden Places"
 - Use State dependent icon (like hidden files)
 - Disable instead of hide if not places are hidden.
 - Toggle to unchecked if last item of group is unhidden.

Create a copy of this "Show Hidden Places" entry in the main dolphin menu View->Places.

Test Plan:
With Hidden Places
{F6398756}
{F6398759}
Context Menu:
{F6398762}
{F6398761}

Without Hidden Places.
{F6414694}
{F6414696}

Reviewers: #dolphin, #vdg, elvisangelaccio, ngraham

Reviewed By: #dolphin, #vdg, elvisangelaccio, ngraham

Subscribers: cfeck, elvisangelaccio, veqz, davidc, ngraham, kfm-devel

Tags: #dolphin

Maniphest Tasks: T8349

Differential Revision: https://phabricator.kde.org/D16767

M  +19   -0    src/dolphinmainwindow.cpp
M  +26   -7    src/panels/places/placespanel.cpp
M  +3    -0    src/panels/places/placespanel.h

https://commits.kde.org/dolphin/c900f7d255aa8fb326cf20f598a5de1a1edbcfe9